Package org.apache.storm.hdfs.trident.rotation

## Class FileSizeRotationPolicy

- java.lang.Object
- - org.apache.storm.hdfs.trident.rotation.FileSizeRotationPolicy

- All Implemented Interfaces:
    `Serializable`, `FileRotationPolicy`

      public class FileSizeRotationPolicy
      extends Object
      implements FileRotationPolicy

  File rotation policy that will rotate files when a certain file size is reached.

  For example:

           // rotate when files reach 5MB
           FileSizeRotationPolicy policy =
                new FileSizeRotationPolicy(5.0, Units.MB);

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FileSizeRotationPolicy.Units` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSizeRotationPolicy​(float count, FileSizeRotationPolicy.Units units)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getMaxBytes()` |
    `boolean` | `mark​(long offset)` | Check if a file rotation should be performed based on the offset at which file is being written.
    `boolean` | `mark​(TridentTuple tuple, long offset)` | Called for every tuple the HdfsBolt executes.
    `void` | `reset()` | Called after the HdfsBolt rotates a file.
    `void` | `start()` | Start the policy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSizeRotationPolicy

          public FileSizeRotationPolicy​(float count,
                                        FileSizeRotationPolicy.Units units)

  - ### Method Detail

    - #### mark

          public boolean mark​(TridentTuple tuple,
                              long offset)

      Description copied from interface: `FileRotationPolicy`
      Called for every tuple the HdfsBolt executes.
      Specified by:
        `mark` in interface `FileRotationPolicy`
      Parameters:
        `tuple` - The tuple executed.
        `offset` - current offset of file being written
      Returns:
        true if a file rotation should be performed

    - #### mark

          public boolean mark​(long offset)

      Description copied from interface: `FileRotationPolicy`
      Check if a file rotation should be performed based on the offset at which file is being written.
      Specified by:
        `mark` in interface `FileRotationPolicy`
      Parameters:
        `offset` - the current offset of file being written
      Returns:
        true if a file rotation should be performed.

    - #### reset

          public void reset()

      Description copied from interface: `FileRotationPolicy`
      Called after the HdfsBolt rotates a file.
      Specified by:
        `reset` in interface `FileRotationPolicy`

    - #### start

          public void start()

      Description copied from interface: `FileRotationPolicy`
      Start the policy. Useful in case of policies like timed rotation where the timer can be started.
      Specified by:
        `start` in interface `FileRotationPolicy`

    - #### getMaxBytes

          public long getMaxBytes()